<resources>
    <!-- Base application theme. -->
    <style name="Theme.Material" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/color_2090fe</item>
        <item name="android:windowBackground">@color/windowBackground</item>
        <item name="actionMenuTextColor">@color/color_2090fe</item>
        <item name="colorOnSecondary">@color/colorOnSecondary</item>
        <item name="android:statusBarColor">@android:color/transparent</item>
        <item name="android:windowAnimationStyle">@style/StyleLeftRightAnimation</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:colorBackground">@color/colorPrimary</item>
        <item name="android:windowTranslucentNavigation">false</item>
    </style>

    <style name="StyleLeftRightAnimation" parent="@android:style/Animation">
        <item name="android:activityOpenEnterAnimation">@anim/slide_right_in</item>
        <item name="android:activityOpenExitAnimation">@anim/slide_left_out</item>
        <item name="android:activityCloseEnterAnimation">@anim/slide_left_in</item>
        <item name="android:activityCloseExitAnimation">@anim/slide_right_out</item>
    </style>

    <style name="dialog_bottom" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/dialog_enter</item>
        <item name="android:windowExitAnimation">@anim/dialog_exit</item>
    </style>

    <style name="SplashTheme" parent="Theme.Material">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowFullscreen">true</item>
        <!-- 单色填充背景 -->
        <item name="android:windowSplashScreenBackground">@color/white</item>
        <!-- 替换ICON -->
        <item name="android:windowSplashScreenAnimatedIcon">@mipmap/ic_splash_logo</item>
        <!-- 设置启动画面在关闭之前显示的时长。最长时间为 1000 毫秒 -->
        <item name="android:windowSplashScreenAnimationDuration">1000</item>
        <!-- 设置启动画面图标后面的背景 -->
        <item name="android:windowSplashScreenIconBackgroundColor">@color/white</item>
        <!-- 设置要显示在启动画面底部的图片。设计准则建议不要使用品牌图片。 -->
<!--        <item name="android:windowSplashScreenBrandingImage">@mipmap/ic_splash_brand_image</item>-->
    </style>

    <style name="BaseStyleDialog" parent="Theme.AppCompat.Light.Dialog">
        <item name="android:windowNoTitle">true</item>
        <item name="android:background">@android:color/transparent</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:colorBackgroundCacheHint">@null</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowFrame">@null</item>
    </style>

</resources>